package com.webchat.act.controller;

import com.webchat.act.service.ResourceBehaviorFactory;
import com.webchat.common.bean.APIResponseBean;
import com.webchat.common.bean.APIResponseBeanUtil;
import com.webchat.common.config.annotation.SafeClick;
import com.webchat.domain.vo.request.act.ResourceBehaviorRequestVO;
import com.webchat.rmi.act.IResourceBehaviorClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;


@RestController
public class ResourceBehaviorController implements IResourceBehaviorClient {


    @Override
    public APIResponseBean<Long> behavior(@RequestBody ResourceBehaviorRequestVO resourceBehaviorRequest) {

        resourceBehaviorRequest.validateRequestParam();

        // 根据具体互动行为类型走工厂模式获取具体的互动实现类，完成behavior操作
        long count = ResourceBehaviorFactory.getService(resourceBehaviorRequest.getBehaviorType())
                        .behavior(resourceBehaviorRequest.getUserId(),
                                    resourceBehaviorRequest.getResourceType(),
                                    resourceBehaviorRequest.getResourceId());
        return APIResponseBeanUtil.success(count);
    }

    @Override
    public APIResponseBean<Long> cancelBehavior(@RequestBody ResourceBehaviorRequestVO resourceBehaviorRequest) {
        return null;
    }
}
