package com.webchat.act.repository.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.Data;

import java.util.Date;

@Data
@Entity
@Table(name = "web_chat_comment")
public class CommentEntity extends BaseEntity {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    protected Long id;

    /**
     * 资源ID
     */
    @Column(name = "resource_id")
    private Long resourceId;

    /***
     * 资源类型
     */
    @Column(name = "resource_type")
    private String resourceType;

    /***
     * 评论正文
     */
    @Column(name = "content")
    private String content;

    /***
     * 评论图片
     */
    @Column(name = "images")
    private String images;

    /***
     * 回复ID
     */
    @Column(name = "reply_id")
    private Long replyId;

    /***
     * 父级评论ID
     */
    @Column(name = "parent_id")
    private Long parentId;

    /***
     * 作者
     */
    @Column(name = "author")
    private String author;

    /***
     * 是否置顶
     */
    @Column(name = "is_top")
    private Boolean isTop;

    /***
     * 点赞量
     */
    @Column(name = "like_count")
    private Long likeCount;

    /***
     * 状态
     */
    @Column(name = "status")
    private String status;

    /***
     * 置顶时间
     */
    @Column(name = "top_date")
    private Date topDate;

    /***
     * 发布时间
     */
    @Column(name = "pub_date")
    private Date pubDate;

    /***
     * IP
     */
    @Column(name = "ip")
    private String ip;

    /***
     * IP ADDRESS
     */
    @Column(name = "ip_address")
    private String ipAddress;
}
