package com.webchat.admin.config;

import com.webchat.admin.config.interceptor.ValidatePermissionInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class AdminWebMvcConfig implements WebMvcConfigurer {

    /**
     * 注册自定义拦截器
     * @param registry
     */
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        /**
         * 注册权限控制拦截器
         */
        registry.addInterceptor(validatePermissionInterceptor()).addPathPatterns("/**");
    }

    /***
     * 登录核验拦截器
     * @return
     */
    @Bean
    public ValidatePermissionInterceptor validatePermissionInterceptor() {
        return new ValidatePermissionInterceptor();
    }

}
