package com.webchat.aigc.consumer.redis;

import com.webchat.aigc.llm.AiBotChatService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.connection.Message;
import org.springframework.data.redis.connection.MessageListener;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class AiBotChatRedisQueueListener implements MessageListener {

    @Autowired
    private RedisTemplate redisTemplate;

    @Autowired
    private AiBotChatService aiBotChatService;

    @Override
    public void onMessage(Message message, byte[] pattern) {
        String channel = (String) redisTemplate.getStringSerializer().deserialize(message.getChannel());
        String messageStr = (String) redisTemplate.getValueSerializer().deserialize(message.getBody());
        log.info("AiBotChatRedisQueueListener.onMessage =====> channel:{} messageStr:{}", channel, messageStr);
        aiBotChatService.chat(messageStr);
    }
}
