package com.webchat.aigc.repository.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.Data;

@Data
@Entity
@Table(name = "web_chat_bot")
public class BotEntity extends BaseEntity {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    protected Long id;

    /**
     * '插件名称'
     */
    @Column(name = "name")
    private String name;

    /**
     * '插件CODE'
     */
    @Column(name = "code")
    private String code;

    /**
     * '插件描述'
     */
    @Column(name = "description")
    private String description;

    /**
     * '状态'
     */
    @Column(name = "status")
    private Integer status;

    /**
     * '意图插件Schema定义，json结构，用户插件API参数抽取'
     */
    @Column(name = "schema")
    private String schema;

    /**
     * '抽参规则要求说明补充'
     */
    @Column(name = "rule")
    private String rule;

    /**
     * '抽参输出示例'
     */
    @Column(name = "output_example")
    private String outputExample;
}
