package com.webchat.admin.controller;


import com.webchat.admin.service.ChatMessageService;
import com.webchat.common.bean.APIResponseBean;
import com.webchat.common.bean.APIResponseBeanUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/api/chat/message")
public class ChatMessageController {


    @Autowired
    private ChatMessageService chatMessageService;

    @GetMapping("/query")
    public APIResponseBean<List<String>> query(@RequestParam String sourceUserId,
                                               @RequestParam String targetUserId,
                                               @RequestParam(required = false) Long startTime,
                                               @RequestParam(required = false) Long endTime,
                                               @RequestParam(required = false, defaultValue = "1000") Integer count) {
        List<String> messages = chatMessageService.query(sourceUserId, targetUserId, startTime, endTime, count);
        return APIResponseBeanUtil.success(messages);
    }


}
