package com.webchat.admin.service;


import com.webchat.common.bean.APIResponseBean;
import com.webchat.common.bean.APIResponseBeanUtil;
import com.webchat.rmi.ugc.ChatMessageClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class ChatMessageService {


    @Autowired
    private ChatMessageClient chatMessageClient;


    public List<String> query(String sourceUserId, String targetUserId,
                              Long startTime, Long endTime, int count) {
        APIResponseBean<List<String>> responseBean = chatMessageClient.query(sourceUserId, targetUserId, startTime, endTime, count);
        if (APIResponseBeanUtil.isOk(responseBean)) {
            return responseBean.getData();
        }
        return Collections.emptyList();
    }
}
