package com.webchat.common.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

public class MomentConstants {




    @Getter
    @AllArgsConstructor
    public enum MomentStatusEnum {

        NEW(1, "新建动态"),
        REVIEW(2, "内容审核中..."),
        PUBLISHED(3, "已发布"),
        REJECT(4, "审核被拒绝");

        private int status;
        private String statusName;
    }


    @Getter
    @AllArgsConstructor
    public enum MediaType {

        IMAGE(1, "图片"),

        VIDEO(2, "视频");

        private int type;
        private String typeName;
    }

    public static MomentStatusEnum getStatusByReviewScore(Integer score) {
        if (score == null) {
            return null;
        }
        return score > 0 ? MomentStatusEnum.PUBLISHED : MomentStatusEnum.REJECT;
    }
}
