package com.webchat.common.enums.payment;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author 程序员七七， https://www.coderutil.com网站作者
 * @date 2024/11/9 03:53
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum PaymentTransTypeEnum {

    INCOME(1, "收入"),

    EXPENSES(-1, "支出");

    private Integer transType;

    private String transTypeName;


    public static String getTransTypeName(Integer transType) {
        if (transType == null) {
            return "未知";
        }
        for (PaymentTransTypeEnum walletTransTypeEnum : PaymentTransTypeEnum.values()) {
            if (walletTransTypeEnum.getTransType().equals(transType)) {
                return walletTransTypeEnum.getTransTypeName();
            }
        }
        return "未知";
    }
}
