package com.webchat.connect.messagequeue.consumer.redis;

import com.webchat.connect.messagequeue.consumer.service.GroupVideoUserChangeConsumeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.connection.Message;
import org.springframework.data.redis.connection.MessageListener;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;


@Slf4j
@Component
public class GroupVideoUserChangeRedisQueueListener implements MessageListener {

    @Autowired
    private RedisTemplate redisTemplate;

    @Autowired
    private GroupVideoUserChangeConsumeService groupVideoUserChangeConsumeService;

    @Override
    public void onMessage(Message message, byte[] pattern) {

        String channel = (String) redisTemplate.getStringSerializer().deserialize(message.getChannel());
        String messageStr = (String) redisTemplate.getValueSerializer().deserialize(message.getBody());
        log.info("GroupVideoUserChangeRedisQueueListener.onMessage =====> channel:{} messageStr:{}", channel, messageStr);

        groupVideoUserChangeConsumeService.consume(messageStr);
    }
}
