package com.webchat.domain.dto.payment;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class PaymentOrderBaseDTO {

    /**
     * 订单事件：出行、红包、餐饮……
     * @see PaymentTransEventEnum
     */
    private Integer eventType;

    /**
     * 账单类型： 1：收入、-1：支出
     * @see PaymentTransTypeEnum
     */
    private Integer billType;

    /**
     * 订单总金额
     */
    private BigDecimal amount;

    /**
     * 交易订单发起账户
     */
    private String sourceAccount;

    /**
     * 交易订单接收账户
     */
    private String targetAccount;

    /**
     * 订单描述
     */
    private String description;

    /**
     * 订单过期时间
     * --------------
     * 比方说发起的订单属于过程型订单，即不是立刻结束的，比如发送红包，发完红包需要用户拆红包，这个是需要一个过程，不是立即结果的
     * 当你指定了24小时候过期，支付平台24小时候会强制关闭订单
     */
    private Date expireDate;
}
