package com.webchat.domain.dto.payment;


import lombok.Data;

import java.math.BigDecimal;

@Data
public class PaymentTransRequestDTO {


    private String orderId;

    /**
     * 交易发起账户（我们默认使用用户id作为用户账户）
     */
    private String sourceUserId;

    /**
     * 交易目标账户
     */
    private String targetUserId;

    /**
     * 交易金额
     */
    private BigDecimal amount;

    /**
     * 交易类型
     */
    private Integer transType;

    /**
     * 交易事件
     */
    private Integer transEvent;

    /**
     * 交易明细
     * 示例：
     *  webchat发红包
     *  webshop下单XXX商品
     */
    private String transDetail;
}
