package com.webchat.domain.vo.request;

import lombok.Data;
import org.apache.commons.lang3.StringUtils;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * @Author: 程序员王七七 https://www.coderutil.com 网站作者
 * @Date: 2021-7-11 0011 14:35
 * @Description: 无描述信息
 */
@Data
public class MomentSaveOrUpdateVO {

    protected Long id;

    /***
     * 正文
     */
    private String content;

    /**
     * 图片
     */
    private List<String> images;

    /**
     * 视频
     */
    private String video;

    /***
     * 作者
     */
    private String author;

    /**
     * 链接分享
     */
    private String link;

    /**
     * 客户端
     */
    private String ip;


    public void validateRequestParam() {
        // TODO
    }

    public boolean includeImage() {
        return !CollectionUtils.isEmpty(images);
    }

    public boolean includeVideo() {
        return StringUtils.isNotBlank(video);
    }

    public boolean includeLink() {
        return StringUtils.isNotBlank(link);
    }
}
