package com.webchat.pay.config;

import com.webchat.pay.config.interceptor.ValidateAccessPaymentPermissionInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebChatPaymentMvnConfigurer implements WebMvcConfigurer {


    /**
     * 拦截所有三方支付接口请求
     */
    private static final String PAYMENT_API_PATH = "/pay-service/api/**";


    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(validateAccessPaymentPermissionInterceptor())
                .addPathPatterns(PAYMENT_API_PATH);
    }

    @Bean
    public ValidateAccessPaymentPermissionInterceptor validateAccessPaymentPermissionInterceptor() {
        return new ValidateAccessPaymentPermissionInterceptor();
    }
}
