package com.webchat.pay.controller;

import com.webchat.common.bean.APIPageResponseBean;
import com.webchat.common.bean.APIResponseBean;
import com.webchat.common.bean.APIResponseBeanUtil;
import com.webchat.domain.vo.request.payment.CreateAppRequestVO;
import com.webchat.domain.vo.response.payment.AppBaseResponseVO;
import com.webchat.domain.vo.response.payment.CreateAppResponseVO;
import com.webchat.pay.service.PaymentAppService;
import com.webchat.rmi.pay.PaymentAppServiceClient;
import org.simpleframework.xml.Path;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;


@RestController
public class PaymentAppServiceController implements PaymentAppServiceClient {


    @Autowired
    private PaymentAppService paymentAppService;

    @Override
    public APIResponseBean<CreateAppResponseVO> createApp(@RequestBody CreateAppRequestVO createAppRequest) {
        // TODO
        CreateAppResponseVO app = paymentAppService.saveApp(createAppRequest);
        return APIResponseBeanUtil.success(app);
    }

    @Override
    public APIResponseBean<Boolean> publishApp(@PathVariable Long appId) {
        paymentAppService.publishApp(appId);
        return APIResponseBeanUtil.success(true);
    }

    @Override
    public APIResponseBean<Boolean> deleteApp(@PathVariable Long appId) {
        paymentAppService.deleteApp(appId);
        return APIResponseBeanUtil.success(true);
    }

    @Override
    public APIPageResponseBean<AppBaseResponseVO> page(String keywords, Integer pageNo, Integer pageSize) {

        return paymentAppService.page(keywords, pageNo, pageSize);
    }
}
