package com.webchat.pay.repository.dao;

import com.webchat.pay.repository.entity.AppEntity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface IAppDAO extends JpaSpecificationExecutor<AppEntity>,
        JpaRepository<AppEntity, Long> {


    Page<AppEntity> findAllByStatusIn(List<Integer> statusList, Pageable pageable);

    Page<AppEntity> findAllByNameLikeAndStatusIn(String appName, List<Integer> statusList, Pageable pageable);
}