package com.webchat.pgc;

import com.webchat.common.util.SpringContextUtil;
import com.webchat.pgc.messagequeue.consumer.ArticlePushDelayQueueConsumer;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@EnableDiscoveryClient
@ComponentScan("com.webchat")
@EnableFeignClients("com.webchat.rmi")
public class WebchatPGCApplication {

    public static void main(String[] args) {
        SpringApplication.run(WebchatPGCApplication.class, args);

        SpringContextUtil.getBean(ArticlePushDelayQueueConsumer.class).schedule();
    }

}
