package com.webchat.pgc.repository.entity;


import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.Data;

import java.util.Date;

/**
 * 公众号文章实体
 */
@Data
@Entity
@Table(name = "web_chat_message_card_template")
public class MessageCardTemplateEntity extends BaseEntity {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    protected Long id;

    /**
     * 服务号
     */
    @Column(name = "account")
    private String account;

    @Column(name = "templateId")
    private String templateId;

    @Column(name = "logo")
    private String logo;

    @Column(name = "title")
    private String title;

    /**
     * 模版内容(richText html富文本模版)
     */
    @Column(name = "content")
    private String content;

    /**
     * 链接名称
     */
    @Column(name = "redirect_name")
    private String redirectName;

    /**
     * 卡片点击跳转链接
     */
    @Column(name = "redirect_url")
    private String redirectUrl;

    /**
     * 模版状态
     *
     * @see com.webchat.common.enums.CommonStatusEnum
     */
    @Column(name = "status")
    private Integer status;
}
