package com.webchat.rmi.act;

import com.webchat.common.bean.APIResponseBean;
import com.webchat.domain.vo.request.act.ResourceBehaviorRequestVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "webchat-act-service", contextId = "resourceBehaviorClient")
public interface IResourceBehaviorClient {


    /**
     * 资源基础互动操作
     *
     * @param resourceBehaviorRequest
     * @return
     */
    @PostMapping("/act-service/resource/behavior")
    APIResponseBean<Long> behavior(@RequestBody ResourceBehaviorRequestVO resourceBehaviorRequest);

    /**
     * 取消资源基础互动操作
     *
     * @param resourceBehaviorRequest
     * @return
     */
    @PostMapping("/act-service/resource/behavior/cancel")
    APIResponseBean<Long> cancelBehavior(@RequestBody ResourceBehaviorRequestVO resourceBehaviorRequest);

}
