package com.webchat.rmi.connect;

import com.webchat.common.bean.APIResponseBean;
import com.webchat.domain.vo.request.mess.ChatMessageRequestVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "webchat-connect-service", contextId = "connectServiceClient")
public interface ConnectServiceClient {


    /**
     * 消息推送接口（基于ws实时推送）
     *
     * @return
     */
    @PostMapping("/connect-service/message/send")
    APIResponseBean<Boolean> doSend(@RequestBody ChatMessageRequestVO messageRequestVO);

}
