package com.webchat.search.service.es;

import com.webchat.domain.vo.dto.ChatMessageSearchResultDTO;
import com.webchat.search.service.AccountService;
import com.webchat.search.service.ArticleService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;


/**
 * 业务数据数据同步ES
 *
 * 一对一聊天消息、群聊消息、机器人对话消息、公众号文章推文消息、群组、人、公众号
 */
@Slf4j
@Service
public class WebChatElasticSearchService extends AbstractWebChatElasticSearchClient<ChatMessageSearchResultDTO> {

    @Value("${spring.elasticsearch.message-index}")
    private String chatMessageIndex;

    @Autowired
    private AccountService accountService;
    @Autowired
    private ArticleService articleService;


}
