package com.webchat.ugc.messaegqueue.consumer.rocketmq;

import com.webchat.common.util.JsonUtil;
import com.webchat.domain.dto.queue.MomentPublishMessageDTO;
import com.webchat.domain.vo.request.mess.ChatMessageRequestVO;
import com.webchat.ugc.messaegqueue.service.MomentPublishConsumeService;
import com.webchat.ugc.messaegqueue.service.PersistentMessageService;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.Assert;


/**
 * 消息持久化RocketMQ队列
 *
 */
@Component
@RocketMQMessageListener(consumerGroup = "web_chat", topic = "queue_moment_publish")
public class MomentPublishRocketMQConsumer implements RocketMQListener<String> {


    @Autowired
    private MomentPublishConsumeService momentPublishConsumeService;

    /**
     * 消息持久化
     * @param message
     */
    @Override
    public void onMessage(String message) {
        System.out.println("Received message: " + message);
        MomentPublishMessageDTO data = JsonUtil.fromJson(message, MomentPublishMessageDTO.class);
        if (data == null) {
            return;
        }
        // TODO
        momentPublishConsumeService.consume(data.getMoment());
    }
}