package com.webchat.ugc.repository.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.Data;

// 朋友圈动态分享链接Entity
@Data
@Entity
@Table(name = "web_chat_moment_link")
public class MomentLinkEntity {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    protected Long id;

    /**
     * 动态ID
     */
    @Column(name = "moment_id", nullable = false)
    private Long momentId;

    /**
     * 分享链接URL
     */
    @Column(name = "resource", nullable = false, length = 300)
    private String resource;

    /**
     * 链接标题
     */
    @Column(name = "title", length = 100)
    private String title;

    /**
     * 封面图地址
     */
    @Column(name = "cover", length = 300)
    private String cover;
}