package com.webchat.ugc.repository.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.Data;

@Data
@Entity
@Table(name = "web_chat_moment_media")
public class MomentMediaEntity {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    protected Long id;

    /**
     * 动态ID
     */
    @Column(name = "moment_id", nullable = false)
    private Long momentId;

    /**
     * 资源类型（1-图片 2-视频）
     */
    @Column(name = "type", nullable = false)
    private int type;

    /**
     * 资源地址
     */
    @Column(name = "resource", nullable = false, length = 300)
    private String resource;

    /**
     * 资源大小（字节）
     */
    @Column(name = "size")
    private long size = 0;

    /**
     * 资源宽度（像素）
     */
    @Column(name = "width")
    private int width = 0;

    /**
     * 资源高度（像素）
     */
    @Column(name = "height")
    private int height = 0;
}