package com.webchat.ugc.repository.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 程序员七七， https://www.coderutil.com网站作者
 * @date 2024/11/8 23:05
 */
@Data
@Entity
@Table(name = "web_chat_red_packet_record")
public class RedPacketRecordEntity {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    protected Long id;

    /**
     * 红包id
     */
    @Column(name = "red_packet_id")
    private Long redPacketId;

    /**
     * 领取人
     */
    @Column(name = "user_id")
    private String userId;

    /**
     * 总金额
     */
    @Column(name = "money")
    private BigDecimal money;

    /**
     * 过期时间
     */
    @Column(name = "create_date")
    private Date createDate;
}
