package com.webchat.ugc.service.chain;

import com.webchat.common.util.IPAddressUtil;
import com.webchat.domain.vo.response.IpLocationResponseVO;
import com.webchat.domain.vo.response.moment.MomentVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;


@Slf4j
@Component
public class MomentIpAddressHandler implements MomentPublishHandler {


    @Override
    public void handle(MomentVO moment, MomentPublishHandlerChain chain) {

        IpLocationResponseVO address = IPAddressUtil.location(moment.getIp());
        if (address != null) {
            moment.setIpAddress(address.getProvince());
        }
        chain.handle(moment, chain);
    }
}
