package com.webchat.user.repository.entity;


import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.Data;

@Data
@Entity
@Table(name = "web_chat_application")
public class ApplicationEntity extends BaseEntity{

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 应用名称
     */
    @Column(name = "name")
    private String name;

    /**
     * 应用描述
     */
    @Column(name = "description")
    private String description;

    /**
     * 状态
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 应用访问凭证
     */
    @Column(name = "access_key")
    private String accessKey;

    /**
     * 应用访问凭证秘钥
     */
    @Column(name = "secret_hash_key")
    private String secretHashKey;
}
